org.gdal.gnm

## Class Network

- java.lang.Object
- - org.gdal.gdal.MajorObject
  - - org.gdal.gnm.Network

- Direct Known Subclasses:
    GenericNetwork

      public class Network
      extends MajorObject

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `CommitTransaction()`
    `Layer` | `CopyLayer(Layer src_layer, String new_name)`
    `Layer` | `CopyLayer(Layer src_layer, String new_name, Vector options)`
    `Layer` | `CreateLayer(String name)`
    `Layer` | `CreateLayer(String name, SpatialReference srs)`
    `Layer` | `CreateLayer(String name, SpatialReference srs, int geom_type)`
    `Layer` | `CreateLayer(String name, SpatialReference srs, int geom_type, Vector options)`
    `void` | `delete()`
    `int` | `DeleteLayer(int index)`
    `int` | `DisconnectAll()`
    `boolean` | `equals(Object obj)`
    `Feature` | `GetFeatureByGlobalFID(long GFID)`
    `Vector` | `GetFileList()`
    `Layer` | `GetLayerByIndex(int index)`
    `Layer` | `GetLayerByName(String layer_name)`
    `int` | `GetLayerCount()`
    `String` | `GetName()`
    `Layer` | `GetPath(long nStartFID, long nEndFID, GraphAlgorithm eAlgorithm)`
    `Layer` | `GetPath(long nStartFID, long nEndFID, GraphAlgorithm eAlgorithm, Vector options)`
    `String` | `GetProjection()`
    `String` | `GetProjectionRef()`
    `int` | `GetVersion()`
    `int` | `hashCode()`
    `int` | `RollbackTransaction()`
    `int` | `StartTransaction()`
    `int` | `StartTransaction(int force)`
    `boolean` | `TestCapability(String cap)`

    - ### Methods inherited from class org.gdal.gdal.MajorObject

      `GetDescription, GetMetadata_Dict, GetMetadata_Dict, GetMetadata_List, GetMetadata_List, GetMetadataDomainList, GetMetadataItem, GetMetadataItem, SetDescription, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadataItem, SetMetadataItem`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### delete

          public void delete()

      Overrides:
        `delete` in class `MajorObject`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### GetVersion

          public int GetVersion()

    - #### GetName

          public String GetName()

    - #### GetFeatureByGlobalFID

          public Feature GetFeatureByGlobalFID(long GFID)

    - #### GetPath

          public Layer GetPath(long nStartFID,
                               long nEndFID,
                               GraphAlgorithm eAlgorithm,
                               Vector options)

    - #### GetPath

          public Layer GetPath(long nStartFID,
                               long nEndFID,
                               GraphAlgorithm eAlgorithm)

    - #### DisconnectAll

          public int DisconnectAll()

    - #### GetProjection

          public String GetProjection()

    - #### GetProjectionRef

          public String GetProjectionRef()

    - #### GetFileList

          public Vector GetFileList()

    - #### CreateLayer

          public Layer CreateLayer(String name,
                                   SpatialReference srs,
                                   int geom_type,
                                   Vector options)

    - #### CreateLayer

          public Layer CreateLayer(String name,
                                   SpatialReference srs,
                                   int geom_type)

    - #### CreateLayer

          public Layer CreateLayer(String name,
                                   SpatialReference srs)

    - #### CreateLayer

          public Layer CreateLayer(String name)

    - #### CopyLayer

          public Layer CopyLayer(Layer src_layer,
                                 String new_name,
                                 Vector options)

    - #### CopyLayer

          public Layer CopyLayer(Layer src_layer,
                                 String new_name)

    - #### DeleteLayer

          public int DeleteLayer(int index)

    - #### GetLayerCount

          public int GetLayerCount()

    - #### GetLayerByIndex

          public Layer GetLayerByIndex(int index)

    - #### GetLayerByName

          public Layer GetLayerByName(String layer_name)

    - #### TestCapability

          public boolean TestCapability(String cap)

    - #### StartTransaction

          public int StartTransaction(int force)

    - #### StartTransaction

          public int StartTransaction()

    - #### CommitTransaction

          public int CommitTransaction()

    - #### RollbackTransaction

          public int RollbackTransaction()